package cn.iocoder.yudao.module.pms.job.oa;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.framework.tenant.core.aop.TenantIgnore;
import cn.iocoder.yudao.module.pms.oa.OaFlow;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class OaPeopleJob implements JobHandler {
    @Autowired
    private OaFlow oaFlow;

    @Override
    @TenantIgnore
    public String execute(String param) throws Exception {
        oaFlow.getCompany();
        oaFlow.getDepart();
        oaFlow.getPerson();
        return "";
    }
}
